# DCM/DFA Reporting And Trafficking API . directorySiteContacts

## Instance Methods

Gets one directory site contact by ID.

Retrieves a list of directory site contacts, possibly filtered. This method supports paging.

Retrieves the next page of results.

### Method Details

`get(profileId, id)`

    Gets one directory site contact by ID.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      id: string, Directory site contact ID. (required)

    Returns:
      An object of the form:

        { # Contains properties of a Site Directory contact.
        "kind": "dfareporting#directorySiteContact", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#directorySiteContact".
        "firstName": "A String", # First name of this directory site contact.
        "title": "A String", # Title or designation of this directory site contact.
        "lastName": "A String", # Last name of this directory site contact.
        "email": "A String", # Email address of this directory site contact.
        "phone": "A String", # Phone number of this directory site contact.
        "role": "A String", # Directory site contact role.
        "address": "A String", # Address of this directory site contact.
        "type": "A String", # Directory site contact type.
        "id": "A String", # ID of this directory site contact. This is a read-only, auto-generated field.
      }

`list(profileId, searchString=None, directorySiteIds=None, pageToken=None, sortField=None, ids=None, maxResults=None, sortOrder=None)`

    Retrieves a list of directory site contacts, possibly filtered. This method supports paging.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      searchString: string, Allows searching for objects by name, ID or email. Wildcards (*) are allowed. For example, "directory site contact*2015" will return objects with names like "directory site contact June 2015", "directory site contact April 2015", or simply "directory site contact 2015". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of "directory site contact" will match objects with name "my directory site contact", "directory site contact 2015", or simply "directory site contact".
      directorySiteIds: string, Select only directory site contacts with these directory site IDs. This is a required field. (repeated)
      pageToken: string, Value of the nextPageToken from the previous result page.
      sortField: string, Field by which to sort the list.
        Allowed values
          ID -
          NAME -
      ids: string, Select only directory site contacts with these IDs. (repeated)
      maxResults: integer, Maximum number of results to return.
      sortOrder: string, Order of sorted results, default is ASCENDING.
        Allowed values
          ASCENDING -
          DESCENDING -

    Returns:
      An object of the form:

        { # Directory Site Contact List Response
        "nextPageToken": "A String", # Pagination token to be used for the next list operation.
        "directorySiteContacts": [ # Directory site contact collection
          { # Contains properties of a Site Directory contact.
            "kind": "dfareporting#directorySiteContact", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#directorySiteContact".
            "firstName": "A String", # First name of this directory site contact.
            "title": "A String", # Title or designation of this directory site contact.
            "lastName": "A String", # Last name of this directory site contact.
            "email": "A String", # Email address of this directory site contact.
            "phone": "A String", # Phone number of this directory site contact.
            "role": "A String", # Directory site contact role.
            "address": "A String", # Address of this directory site contact.
            "type": "A String", # Directory site contact type.
            "id": "A String", # ID of this directory site contact. This is a read-only, auto-generated field.
          },
        ],
        "kind": "dfareporting#directorySiteContactsListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#directorySiteContactsListResponse".
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.